Loading...
Searching...
No Matches
Opm::RestartIO::RstNetwork::Node Struct Reference

Single node in extended network model. More...

`#include <network.hpp>`

## Public Attributes

std::string | name {}
| Name of network node.
std::optional< double > | terminal_pressure {}
| Fixed pressure for terminal node. Nullopt if not terminal.
std::optional< std::string > | as_choke {}
| Group whose rate target the choking mechanism attempts to match.
double | pressure {}
| Node pressure.

## Detailed Description

Single node in extended network model.

## Member Data Documentation

## as_choke

std::optional<std::string> Opm::RestartIO::RstNetwork::Node::as_choke {}

Group whose rate target the choking mechanism attempts to match.

Nullopt if this node does not act as a choke or if choking is disabled.

The documentation for this struct was generated from the following file:

- opm/io/eclipse/rst/network.hpp